CREATE TABLE fai_deep_links_b (
    DEEP_LINK_ID             NUMBER(18, 0) ,
    DEEP_LINK_CODE           VARCHAR2(800)     NOT NULL,
    INTERNAL_NAME            VARCHAR2(800) ,
    INTERNAL_DESCRIPTION     VARCHAR2(4000),
    USAGE_TYPE               VARCHAR2(800)     NOT NULL,
    DESTINATION_URL          VARCHAR2(4000)    NOT NULL,
    DEEP_LINK_PROPERTIES     CLOB          ,
    FAMILY                   VARCHAR2(320)     NOT NULL,
    PRODUCT                  VARCHAR2(400)     NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    SEED_DATA_SOURCE         VARCHAR2(2048),
    ORA_SEED_SET1            VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2            VARCHAR2(4)       NOT NULL,
    MODULE_ID                VARCHAR2(128) ,
    DEEP_LINK_ID             NUMBER(18, 0) ,
    DEEP_LINK_CODE           VARCHAR2(800)     NOT NULL,
    USAGE_TYPE               VARCHAR2(800)     NOT NULL,
    DESTINATION_URL          VARCHAR2(4000)    NOT NULL,
    DEEP_LINK_PROPERTIES     CLOB          ,
    FAMILY                   VARCHAR2(320)     NOT NULL,
    PRODUCT                  VARCHAR2(400)     NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    SEED_DATA_SOURCE         VARCHAR2(2048),
    ORA_SEED_SET1            VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2            VARCHAR2(4)       NOT NULL,
    MODULE_ID                VARCHAR2(128) ,
    INTERNAL_NAME            VARCHAR2(800) ,
    INTERNAL_DESCRIPTION     VARCHAR2(4000),
    CONSTRAINT pk_fai_deep_links_b PRIMARY KEY (DEEP_LINK_ID, DEEP_LINK_ID)
);
